Having lots of trouble with installing packages


#1

For example, if I install minimap:

npm http GET https://registry.npmjs.org/mixto
npm http GET https://registry.npmjs.org/emissary
npm http GET https://registry.npmjs.org/delegato
npm http GET https://registry.npmjs.org/semver
npm http GET https://registry.npmjs.org/event-kit
npm http GET https://registry.npmjs.org/grim
npm http GET https://registry.npmjs.org/fs-plus
npm http GET https://registry.npmjs.org/temp/0.5.0
npm http GET https://registry.npmjs.org/underscore-plus
npm http 304 https://registry.npmjs.org/mixto
npm http 304 https://registry.npmjs.org/semver
npm http 304 https://registry.npmjs.org/emissary
npm http 304 https://registry.npmjs.org/grim
npm http 304 https://registry.npmjs.org/underscore-plus
npm http 304 https://registry.npmjs.org/event-kit
npm http 304 https://registry.npmjs.org/delegato
npm http 304 https://registry.npmjs.org/temp/0.5.0
npm http 304 https://registry.npmjs.org/fs-plus
npm http GET https://registry.npmjs.org/underscore
npm http GET https://registry.npmjs.org/mkdirp
npm http GET https://registry.npmjs.org/rimraf
npm http GET https://registry.npmjs.org/async
npm http 304 https://registry.npmjs.org/rimraf
npm http 304 https://registry.npmjs.org/underscore
npm http 304 https://registry.npmjs.org/async
npm http GET https://registry.npmjs.org/property-accessors
npm http 304 https://registry.npmjs.org/property-accessors
npm ERR! not found: git
npm ERR! 
npm ERR! Failed using git.
npm ERR! This is most likely not a problem with npm itself.
npm ERR! Please check if you have git installed and in your PATH.

npm ERR! System Windows_NT 6.2.9200
npm ERR! command "c:\\Program Files (x86)\\Atom\\resources\\app\\apm\\node_modules\\atom-package-manager\\bin\\\\node.exe" "c:\\Program Files (x86)\\Atom\\resources\\app\\apm\\node_modules\\atom-package-manager\\node_modules\\npm\\bin\\npm-cli.js" "--globalconfig" "c:\\Program Files (x86)\\Atom\\resources\\app\\apm\\node_modules\\atom-package-manager\\.apmrc" "--userconfig" "C:\\Users\\Chris\\.atom\\.apmrc" "install" "C:\\Users\\Chris\\.atom\\.node-gyp\\.atom\\.apm\\minimap\\3.3.9\\package.tgz" "--target=0.18.0" "--arch=ia32" "--msvs_version=2013"
npm ERR! cwd C:\Users\Chris\AppData\Local\Temp\apm-install-dir-1141018-8036-1f4e686
npm ERR! node -v v0.10.33
npm ERR! npm -v 1.4.4
npm ERR! code ENOGIT
npm http 304 https://registry.npmjs.org/mkdirp
npm

Or when I update Autocomplete Plus

npm http GET https://registry.npmjs.org/async
npm http GET https://registry.npmjs.org/emissary
npm http GET https://registry.npmjs.org/temp
npm http GET https://registry.npmjs.org/fuzzaldrin
npm http GET https://registry.npmjs.org/minimatch
npm http GET https://registry.npmjs.org/semver
npm http GET https://registry.npmjs.org/underscore-plus
npm http 304 https://registry.npmjs.org/minimatch
npm http 304 https://registry.npmjs.org/temp
npm http 304 https://registry.npmjs.org/async
npm http 304 https://registry.npmjs.org/semver
npm http 304 https://registry.npmjs.org/underscore-plus
npm http 304 https://registry.npmjs.org/emissary
npm http 304 https://registry.npmjs.org/fuzzaldrin
npm http GET https://registry.npmjs.org/underscore
npm http GET https://registry.npmjs.org/mixto
npm http GET https://registry.npmjs.org/property-accessors
npm http GET https://registry.npmjs.org/rimraf
npm http GET https://registry.npmjs.org/lru-cache
npm http GET https://registry.npmjs.org/sigmund
npm ERR! Error: ENOENT, lstat 'C:\Users\Chris\AppData\Local\Temp\apm-install-dir-1141018-15000-1chdbhm\node_modules\autocomplete-plus\node_modules\semver\test\no-module.js'
npm ERR! If you need help, you may report this *entire* log,
npm ERR! including the npm and node versions, at:
npm ERR!     <http://github.com/npm/npm/issues>

npm ERR! System Windows_NT 6.2.9200
npm ERR! command "c:\\Program Files (x86)\\Atom\\resources\\app\\apm\\node_modules\\atom-package-manager\\bin\\\\node.exe" "c:\\Program Files (x86)\\Atom\\resources\\app\\apm\\node_modules\\atom-package-manager\\node_modules\\npm\\bin\\npm-cli.js" "--globalconfig" "c:\\Program Files (x86)\\Atom\\resources\\app\\apm\\node_modules\\atom-package-manager\\.apmrc" "--userconfig" "C:\\Users\\Chris\\.atom\\.apmrc" "install" "C:\\Users\\Chris\\.atom\\.node-gyp\\.atom\\.apm\\autocomplete-plus\\0.22.1\\package.tgz" "--target=0.18.0" "--arch=ia32" "--msvs_version=2013"
npm ERR! cwd C:\Users\Chris\AppData\Local\Temp\apm-install-dir-1141018-15000-1chdbhm
npm ERR! node -v v0.10.33
npm ERR! npm -v 1.4.4
npm ERR! path C:\Users\Chris\AppData\Local\Temp\apm-install-dir-1141018-15000-1chdbhm\node_modules\autocomplete-plus\node_modules\semver\test\no-module.js
npm ERR! fstream_path C:\Users\Chris\AppData\Local\Temp\apm-install-dir-1141018-15000-1chdbhm\node_modules\autocomplete-plus\node_modules\semver\test\no-module.js
npm ERR! fstream_type File
npm ERR! fstream_class FileWriter
npm ERR! code ENOENT
npm ERR! errno 34
npm ERR! fstream_stack c:\Program Files (x86)\Atom\resources\app\apm\node_modules\atom-package-manager\node_modules\npm\node_modules\fstream\lib\writer.js:284:26
npm ERR! fstream_stack Object.oncomplete (fs.js:107:15)
npm ERR! not found: git
npm ERR! 
npm ERR! Failed using git.
npm ERR! This is most likely not a problem with npm itself.
npm ERR! Please check if you have git installed and in your PATH.

npm ERR! System Windows_NT 6.2.9200
npm ERR! command "c:\\Program Files (x86)\\Atom\\resources\\app\\apm\\node_modules\\atom-package-manager\\bin\\\\node.exe" "c:\\Program Files (x86)\\Atom\\resources\\app\\apm\\node_modules\\atom-package-manager\\node_modules\\npm\\bin\\npm-cli.js" "--globalconfig" "c:\\Program Files (x86)\\Atom\\resources\\app\\apm\\node_modules\\atom-package-manager\\.apmrc" "--userconfig" "C:\\Users\\Chris\\.atom\\.apmrc" "install" "C:\\Users\\Chris\\.atom\\.node-gyp\\.atom\\.apm\\autocomplete-plus\\0.22.1\\package.tgz" "--target=0.18.0" "--arch=ia32" "--msvs_version=2013"
npm ERR! cwd C:\Users\Chris\AppData\Local\Temp\apm-install-dir-1141018-15000-1chdbhm
npm ERR! node -v v0.10.33
npm ERR! npm -v 1.4.4
npm ERR! code ENOGIT
npm http 304 https://registry.npmjs.org/underscore
npm http 304 https://registry.npmjs.org/lru-cache
npm http 304 https://registry.npmjs.org/rimraf
npm http 304 https://registry.npmjs.org/sigmund
npm http 304 https://registry.npmjs.org/mixto
npm http 304 https://registry.npmjs.org/property-accessors
npm

Found and tried some things but nothing worked so far.


#2

Is git correctly installed on your system? The error points towards a missing or incomplete git installation.


#3

I have https://windows.github.com/ installed. But never really used it. I did logged in with my github account on it.

Also didn’t know this was necesary. https://atom.io/ doesn’t say I need to have this installed to use every feature of it.


#4

Just to clarify: GitHub != git - the latter being a version control system which stems from Unix and the former being a popular platform where git repositories are hosted. Therefore I assume that you don’t have git installed which is causing the described problems.

I’d recommend you look into Chocolatey Package Management to install git on Windows. You can find detailed installation instructions and a list of available packages there.


#5

Yea I did noticed that but I searched for how to install it on windows, and one of the results told me I could use that.

Another easy way to get Git installed is by installing GitHub for Windows. The installer includes a command line version of Git as well as the GUI. It also works well with Powershell, and sets up solid credential caching and sane CRLF settings.
from git-scm.com

I will try Chocolatey now. Probably should have done that the first time…


#6

Seems to work! Installed and update without errors. Thank you very much!


#7

You’re a life saver! Github had me all twisted around about whether or not I had git or not.


#8

Always happy to help.